Compatibilidad de LabVIEW y LabVIEW Run-Time Engine

Visión General

Esta página muestra las versiones compatibles de LabVIEW Run-Time Engine con los sistemas de desarrollo de LabVIEW. Consulte esta información para asegurarse de instalar la versión correcta del toolkit al actualizar su sistema o software. Usar versiones no compatibles puede dar como resultado errores o falta de paletas o funciones de LabVIEW.

Tenga en cuenta que este artículo reemplaza a KnowledgeBase 3P88SPNQ: Compatibilidad de LabVIEW Run-Time Engine. Algunos manuales de NI pueden aún hacer referencia a este documento anterior. Si usted fue redirigido desde el anterior URL del Documento de Soporte, por favor actualice sus marcadores apropiadamente.

Compatibilidad de LabVIEW y LabVIEW Run-Time Engine

Use esta tabla para comparar la Compatibilidad de LabVIEW y LabVIEW Run-Time Engine

LabVIEW

Versión

Versión del LabVIEW Run-Time Engine

LabVIEW 2012

LabVIEW 2012 SP1

LabVIEW 2013

LabVIEW 2013 SP1

LabVIEW 2014

LabVIEW 2014 SP1

LabVIEW 2015

LabVIEW 2015 SP1

LabVIEW 2016

LabVIEW 2017

LabVIEW 2017 SP1

LabVIEW 2018

LabVIEW 2018 SP1

LabVIEW 2019

LabVIEW 2012

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2013

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2013 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2014

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2014 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2015

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2015 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2016

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2017

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2017 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2018

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2018 SP1

 

 

 

 

 

 

 

 

 

 

 

 

 

 

LabVIEW 2019

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

*A partir de 2017, puede generar compatibilidad con LabVIEW Run-Time Engines posteriores en sus aplicaciones. Consulte la sección Mejoras en Application Builder en esta página para obtener detalles.


El LabVIEW Run-Time Engine debe instalarse en cualquier sistema donde planee activar ejecutables o bibliotecas compartidas que desarrolló con LabVIEW Application Builder.

Tenga en cuenta que los EXE creados en LabVIEW 2016 o anteriores no se pueden ejecutar en una versión más nueva del LabVIEW Run-Time Engine. Use la misma versión de LabVIEW Run-Time Engine para ejecutar el EXE que la versión de LabVIEW que usó para construirlo.

Se pueden instalar varias versiones de LabVIEW Run-Time Engine en la misma PC siempre y cuando el número de versión principal o el bitness sea diferente. En un sistema de 64 bits, es posible instalar versiones de 32 y 64 bits del LabVIEW Run-Time Engine con el mismo número de versión de lado a lado. Si instala una versión SP1 del LabVIEW Run-Time Engine en un sistema que ya tiene instalada una versión que no es SP1, la versión SP1 reemplazará a la versión que no es SP1.


Plug-in de Navegador Web LabVIEW Run-Time Engine

El Plug-in de Navegador Web LabVIEW Run-Time Engine (anteriormente conocido como LabVIEW Minimum Run-Time Engine) es una descarga más pequeña diseñada para ver los VIs embebidos en una página web (paneles frontales remotos). No contiene el motor de tiempo de ejecución completo y no se recomienda para ejecutar ejecutables. Está disponible en versiones de 32 bits y de 64 bits. El valor de bits del Plug-in de Navegador Web debe coincidir con el valor de bits del navegador web que se está utilizando. El LabVIEW Run-Time Engine estándar incluye el Plug-in de Navegador Web.